Creates a new skill

Request Information

URI Parameters :

None.

Body Parameters :

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "fcd3c26c-2e69-46ab-9993-4bde892f6229",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "be39c410-49ed-40b5-bfd9-7c1ebcf520e5",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "0134c134-b92b-40a5-b36e-174bf4ccbe91",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "f6a48ced-9424-42a9-a3ea-070f125918c4",
    "db_currency_id": "8e506890-bbd7-4624-a596-8a6fc667bb8f",
    "db_language_id": "3f3072d1-5387-4b65-8fb2-ba8e78124c4f",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-11-11T09:20:36.4763242+00:00"
  },
  "modified_dateutc": "2026-11-11T09:20:36.4763242+00:00"
}

Response Information

Resource Description :

IHttpActionResult

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.